/* 
Теоретичні питання
1. Як можна визначити, яку саме клавішу клавіатури натиснув користувач?
за допомогою addEventListener і залогувати подію
2. Яка різниця між event.code() та event.key()?
event.code() - не залежить від регіста і повертає кнопку
vent.key() - повертає кнопку яку натиснув користувач з урахування регіста
3. Які три події клавіатури існує та яка між ними відмінність?
keydown подія виникає, коли клавішу натиснуто
keyup - коли її відпускають.
keypress - старий метод, який вже не використовують

Практичне завдання.
Реалізувати функцію підсвічування клавіш.

Технічні вимоги:

- У файлі index.html лежить розмітка для кнопок.
- Кожна кнопка містить назву клавіші на клавіатурі
- Після натискання вказаних клавіш - та кнопка, на якій написана ця літера, повинна фарбуватися в синій колір.
При цьому якщо якась інша літера вже раніше була пофарбована в синій колір - вона стає чорною.
Наприклад за натисканням Enter перша кнопка забарвлюється у синій колір. Далі, користувач натискає S,
і кнопка S забарвлюється в синій колір, а кнопка Enter знову стає чорною.
Але якщо при натискані на кнопку її  не існує в розмітці, то попередня активна кнопка повина стати неактивною.
*/
 
const btn = document.querySelectorAll(".btn");
window.addEventListener("keydown", (e) => {
btn.forEach((button) => {
    if (e.key === button.textContent.toUpperCase() || e.key === button.textContent.toLowerCase() || e.key === button.textContent) {
        button.classList.add("active");
    }else{
        button.classList.remove("active");
    }
})
});

